/*Written with Emacs.*/
/*
  GtkDiskFree shows free space on your mounted partitions.  Copyright
  (C) 2001-2002 Dj-Death (Landwerlin Lionel)
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA */

GtkWidget *mwindow;

gint block_size_status;
gint timeout_status;

GtkTreeModel *list_treemodel;
GtkWidget *list_treeview;
GtkWidget *list_box, *list_scroll;

GtkWidget *menu_handle_box;
GtkWidget *tool_handle_box;

GtkWidget *status_hbox;
GtkWidget *status_bar_block;
GtkWidget *status_bar_timeout;

void gui_list_column_clicked (GtkTreeViewColumn *column, gpointer user_data);
void gui_list_columns_disp_update (void);
void gui_statusbar_timeout_update (GtkWidget *widget, order_t action);
gboolean gui_statusbar_update_block (void);
void gui_main_window_set_posize (void);
void gui_main_window_disp_update (void);
void gui_main_window_resize (void);
gboolean gui_main_window_configure (GtkWidget *win, GdkEventConfigure *ev,
				    gpointer data);
void gui_list_columns_create (GtkTreeView *list);
GtkTreeModel *gui_list_model_create (void);
void gui_main_window_create (void);
